p = Parea(api_key="PAREA_API_KEY") # replace with your API keytrace_logs = p.get_experiment_trace_logs( "experiment_uuid", # replace with experiment UUID TraceLogFilters( filter_field='is_correct', filter_operator=FilterOperator.EQUALS, filter_value="1.0" ))
const p = new Parea("PAREA_API_KEY"); // replace with your API keyconst logs = await p.getExperimentLogs(uuids[0]);
Args:
experiment_uuid (str): UUID of the experiment.
Returns:
list[TraceLogTreeSchema]: List of trace logs for the experiment.
POST
/
api
/
parea
/
v1
/
experiment
/
{experiment_uuid}
/
trace_logs
p = Parea(api_key="PAREA_API_KEY") # replace with your API keytrace_logs = p.get_experiment_trace_logs( "experiment_uuid", # replace with experiment UUID TraceLogFilters( filter_field='is_correct', filter_operator=FilterOperator.EQUALS, filter_value="1.0" ))
const p = new Parea("PAREA_API_KEY"); // replace with your API keyconst logs = await p.getExperimentLogs(uuids[0]);
p = Parea(api_key="PAREA_API_KEY") # replace with your API keytrace_logs = p.get_experiment_trace_logs( "experiment_uuid", # replace with experiment UUID TraceLogFilters( filter_field='is_correct', filter_operator=FilterOperator.EQUALS, filter_value="1.0" ))
const p = new Parea("PAREA_API_KEY"); // replace with your API keyconst logs = await p.getExperimentLogs(uuids[0]);
Field to filter on.
If you want to filter by a score, you need to follow this format: 'score:{score_name}'.
If you want to filter by annotation, you need to follow this format: 'annotation:{annotation_type}:{annotation_id}'.
Key-value pair inputs of this trace. Note, there is a special field to capture messages in LLM calls. You can still use it in the case of LLM calls to track the key-value pairs for prompt templates.
If specified, this log and its entire associated trace will logged with this probability. Must be between 0 and 1 (incl.). Defaults to 1.0 (i.e., keeping all logs)
Any annotations on log which were collected on Parea frontend. It maps annoation criterion ID to a dictionary mapping user_id (Parea user ID) to annotation.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Parea AI","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"favicon":"/favicon.png","logo":{"light":"https://mintcdn.com/pareaai/3kurg3MZRrsWWk8t/logo/parea-light.png?fit=max\u0026auto=format\u0026n=3kurg3MZRrsWWk8t\u0026q=85\u0026s=c32fc81b38c3586ed7187a84b3e0c8d9","dark":"https://mintcdn.com/pareaai/3kurg3MZRrsWWk8t/logo/parea-dark.png?fit=max\u0026auto=format\u0026n=3kurg3MZRrsWWk8t\u0026q=85\u0026s=0c9b98a6abbc1a8b0851dda2467305d3"},"api":{"playground":{"display":"simple"},"mdx":{"server":"https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1","auth":{"method":"key","name":"x-api-key"}}},"background":{"decoration":null,"color":{"light":null,"dark":"#090014"}},"navbar":{"links":[{"label":"Discord","href":"https://discord.gg/p7CUwSKJD6"}],"primary":{"type":"button","label":"HomePage","href":"https://www.parea.ai/"}},"footer":{"socials":{"twitter":"https://twitter.com/PareaAI","github":"https://github.com/parea-ai","linkedin":"https://www.linkedin.com/company/parea-ai/"}},"integrations":{"posthog":{"apiKey":"phc_QJDW2uNYJGwIl7dXs4WLDWEuntie6Ye1TQRW9p3re18","apiHost":"https://eu.posthog.com"}},"navigation":{"global":{"anchors":[{"anchor":"Github","href":"https://github.com/parea-ai/parea-sdk","icon":"github"},{"anchor":"Discord","href":"https://discord.gg/p7CUwSKJD6","icon":"discord"},{"anchor":"Chat with Founders","href":"https://calendly.com/parea-ai/chat","icon":"phone"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pareaai","hasAudioNarration":false,"actualSubdomain":"pareaai","customDomains":["docs.parea.ai"],"gitSource":{"type":"github","owner":"parea-ai","repo":"parea-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e60a4c43fec466d7925c","collectionId":"662c90c1-bcb2-4744-a0d9-5f805b4d92b4","schemaVersion":"v2"},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6a21e60a4c43fec466d7925c:success","clientVersion":"0.0.3965","searchFilterCounts":[{"language":"default","tag":"Documentation","count":40},{"language":"default","tag":"Guides","count":33},{"language":"default","tag":"API Reference","count":22},{"language":"default","tag":"Blog","count":22},{"language":"default","tag":"Observability","count":11},{"language":"default","tag":"Integrations","count":7},{"language":"default","tag":"Experiments","count":5},{"language":"default","tag":"Tracing","count":5},{"language":"default","tag":"Manual Review","count":5},{"language":"default","tag":"Playground","count":5}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/experiments/get-experiment-trace-logs","slug":"/api-reference/experiments/get-experiment-trace-logs","pageMetadata":{"title":"Get Experiment Trace Logs","openapi":"post /api/parea/v1/experiment/{experiment_uuid}/trace_logs","description":"Fetches all trace logs for an experiment.\n\nArgs:\n experiment_uuid (str): UUID of the experiment.\n\nReturns:\n list[TraceLogTreeSchema]: List of trace logs for the experiment.","href":"/api-reference/experiments/get-experiment-trace-logs"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Fetches all trace logs for an experiment.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Args:\\nexperiment_uuid (str): UUID of the experiment.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Returns:\\nlist[TraceLogTreeSchema]: List of trace logs for the experiment.\"\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Experiment Trace Logs","openapi":"post /api/parea/v1/experiment/{experiment_uuid}/trace_logs","description":"Fetches all trace logs for an experiment.\n\nArgs:\n experiment_uuid (str): UUID of the experiment.\n\nReturns:\n list[TraceLogTreeSchema]: List of trace logs for the experiment.","href":"/api-reference/experiments/get-experiment-trace-logs"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,RequestExample}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);return _jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`python`,numberOfLines:`10`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`p `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` Parea(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`api_key`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PAREA_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# replace with your API key`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`trace_logs `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` p.get_experiment_trace_logs(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"experiment_uuid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# replace with experiment UUID`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` TraceLogFilters(`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` filter_field`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'is_correct'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` filter_operator`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`FilterOperator.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:`EQUALS`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` filter_value`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1.0\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` )`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`typescript`,numberOfLines:`3`,language:`typescript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`typescript`,children:_jsxs(_components.code,{language:`typescript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` p`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` Parea`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PAREA_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`); `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// replace with your API key`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` logs`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`getExperimentLogs`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`uuids`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]);`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`curl`,numberOfLines:`8`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --location`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/experiment/{experiment_uuid}/trace_logs'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'x-api-key: PAREA_API_KEY'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--data `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"filter_field\": \"is_correct\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"filter_operator\": \"equals\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"filter_value\": \"1.0\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Experiment Trace Logs","openapi":"post /api/parea/v1/experiment/{experiment_uuid}/trace_logs","description":"Fetches all trace logs for an experiment.\n\nArgs:\n experiment_uuid (str): UUID of the experiment.\n\nReturns:\n list[TraceLogTreeSchema]: List of trace logs for the experiment.","href":"/api-reference/experiments/get-experiment-trace-logs"}}}},"mdxExtracts":{"tableOfContents":[],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"python","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"10\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">p \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> Parea(\u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\">api_key\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"PAREA_API_KEY\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">) \u003c/span>\u003cspan style=\"color:#6E7781;--shiki-dark:#6A9955\"># replace with your API key\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">trace_logs \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> p.get_experiment_trace_logs(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"experiment_uuid\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#6E7781;--shiki-dark:#6A9955\"># replace with experiment UUID\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> TraceLogFilters(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> filter_field\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'is_correct'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> filter_operator\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">FilterOperator.\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#D4D4D4\">EQUALS\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\"> filter_value\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"1.0\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> )\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"typescript","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"typescript\">\u003ccode language=\"typescript\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> p\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> new\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> Parea\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"PAREA_API_KEY\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">); \u003c/span>\u003cspan style=\"color:#6E7781;--shiki-dark:#6A9955\">// replace with your API key\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> logs\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> p\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">getExperimentLogs\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">uuids\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">[\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">]);\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"curl","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"8\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --location\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/experiment/{experiment_uuid}/trace_logs'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'x-api-key: PAREA_API_KEY'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--data \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"filter_field\": \"is_correct\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"filter_operator\": \"equals\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"filter_value\": \"1.0\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">}'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get Experiment Trace Logs Api","description":"Fetches all trace logs for an experiment.\n\nArgs:\n experiment_uuid (str): UUID of the experiment.\n\nReturns:\n list[TraceLogTreeSchema]: List of trace logs for the experiment.","operationId":"get_experiment_trace_logs_api_api_parea_v1_experiment__experiment_uuid__trace_logs_post","security":["00beb86c-0d97-4dcc-a9f0-c53c7e81401c","c38f242b-2aa1-48ef-aa47-99e5f559de29","b1bf8776-ade2-480d-80a4-cc1849343fc0"],"parameters":["0108f872-1c4b-4e7f-9158-e3eef46ce5b6"],"requestBody":"8657b2ce-76d6-48b2-9ecb-bd1d79d4c514","responses":{"200":"863b1e3f-25ee-40f4-a7a8-c6f75147f5a5","422":"8c48ec8f-4c22-4e81-971f-61e524de73dd"},"method":"post","type":"path","servers":[],"path":"/api/parea/v1/experiment/{experiment_uuid}/trace_logs","baseUrlOptions":["https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1"],"title":"Get Experiment Trace Logs Api","codeSamples":[],"requiredOnlyExamples":false,"requestExamples":[{"dropdown":false,"language":"python","code":{"type":"pre","key":null,"ref":null,"props":{"className":"shiki shiki-themes github-light-default dark-plus","style":{"backgroundColor":"#ffffff","--shiki-dark-bg":"#0B0C0E","color":"#1f2328","--shiki-dark":"#D4D4D4"},"language":"python","children":{"type":"code","key":null,"ref":null,"props":{"language":"python","numberOfLines":"10","children":[{"type":"span","key":"0","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"p "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" Parea("}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#9CDCFE"},"children":"api_key"}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"PAREA_API_KEY\""}},{"type":"span","key":"6","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":") "}},{"type":"span","key":"7","ref":null,"props":{"style":{"color":"#6E7781","--shiki-dark":"#6A9955"},"children":"# replace with your API key"}}]}},"\n",{"type":"span","key":"2","ref":null,"props":{"className":"line","children":null}},"\n",{"type":"span","key":"4","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"trace_logs "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" p.get_experiment_trace_logs("}}]}},"\n",{"type":"span","key":"6","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" \"experiment_uuid\""}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":", "}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#6E7781","--shiki-dark":"#6A9955"},"children":"# replace with experiment UUID"}}]}},"\n",{"type":"span","key":"8","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" TraceLogFilters("}}}},"\n",{"type":"span","key":"10","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#9CDCFE"},"children":" filter_field"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"'is_correct'"}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":","}}]}},"\n",{"type":"span","key":"12","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#9CDCFE"},"children":" filter_operator"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"FilterOperator."}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#0550AE","--shiki-dark":"#D4D4D4"},"children":"EQUALS"}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":","}}]}},"\n",{"type":"span","key":"14","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#9CDCFE"},"children":" filter_value"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":"="}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"1.0\""}}]}},"\n",{"type":"span","key":"16","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":" )"}}}},"\n",{"type":"span","key":"18","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":")"}}}},"\n"]}}}},"filename":"python"},{"dropdown":false,"language":"typescript","code":{"type":"pre","key":null,"ref":null,"props":{"className":"shiki shiki-themes github-light-default dark-plus","style":{"backgroundColor":"#ffffff","--shiki-dark-bg":"#0B0C0E","color":"#1f2328","--shiki-dark":"#D4D4D4"},"language":"typescript","children":{"type":"code","key":null,"ref":null,"props":{"language":"typescript","numberOfLines":"3","children":[{"type":"span","key":"0","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":"const"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0550AE","--shiki-dark":"#4FC1FF"},"children":" p"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":" ="}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":" new"}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#8250DF","--shiki-dark":"#DCDCAA"},"children":" Parea"}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"("}},{"type":"span","key":"6","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"\"PAREA_API_KEY\""}},{"type":"span","key":"7","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"); "}},{"type":"span","key":"8","ref":null,"props":{"style":{"color":"#6E7781","--shiki-dark":"#6A9955"},"children":"// replace with your API key"}}]}},"\n",{"type":"span","key":"2","ref":null,"props":{"className":"line","children":null}},"\n",{"type":"span","key":"4","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#569CD6"},"children":"const"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0550AE","--shiki-dark":"#4FC1FF"},"children":" logs"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D4D4D4"},"children":" ="}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#C586C0"},"children":" await"}},{"type":"span","key":"4","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#9CDCFE"},"children":" p"}},{"type":"span","key":"5","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"."}},{"type":"span","key":"6","ref":null,"props":{"style":{"color":"#8250DF","--shiki-dark":"#DCDCAA"},"children":"getExperimentLogs"}},{"type":"span","key":"7","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"("}},{"type":"span","key":"8","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#9CDCFE"},"children":"uuids"}},{"type":"span","key":"9","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"["}},{"type":"span","key":"10","ref":null,"props":{"style":{"color":"#0550AE","--shiki-dark":"#B5CEA8"},"children":"0"}},{"type":"span","key":"11","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"]);"}}]}},"\n"]}}}},"filename":"typescript"},{"dropdown":false,"language":"shellscript","code":{"type":"pre","key":null,"ref":null,"props":{"className":"shiki shiki-themes github-light-default dark-plus","style":{"backgroundColor":"#ffffff","--shiki-dark-bg":"#0B0C0E","color":"#1f2328","--shiki-dark":"#D4D4D4"},"language":"shellscript","children":{"type":"code","key":null,"ref":null,"props":{"language":"shellscript","numberOfLines":"8","children":[{"type":"span","key":"0","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#953800","--shiki-dark":"#DCDCAA"},"children":"curl"}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0550AE","--shiki-dark":"#569CD6"},"children":" --location"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/experiment/{experiment_uuid}/trace_logs'"}},{"type":"span","key":"3","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D7BA7D"},"children":" \\"}}]}},"\n",{"type":"span","key":"2","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"--header "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"'Content-Type: application/json'"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D7BA7D"},"children":" \\"}}]}},"\n",{"type":"span","key":"4","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"--header "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"'x-api-key: PAREA_API_KEY'"}},{"type":"span","key":"2","ref":null,"props":{"style":{"color":"#CF222E","--shiki-dark":"#D7BA7D"},"children":" \\"}}]}},"\n",{"type":"span","key":"6","ref":null,"props":{"className":"line","children":[{"type":"span","key":"0","ref":null,"props":{"style":{"color":"#1F2328","--shiki-dark":"#D4D4D4"},"children":"--data "}},{"type":"span","key":"1","ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"'{"}}]}},"\n",{"type":"span","key":"8","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" \"filter_field\": \"is_correct\","}}}},"\n",{"type":"span","key":"10","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" \"filter_operator\": \"equals\","}}}},"\n",{"type":"span","key":"12","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":" \"filter_value\": \"1.0\""}}}},"\n",{"type":"span","key":"14","ref":null,"props":{"className":"line","children":{"type":"span","key":null,"ref":null,"props":{"style":{"color":"#0A3069","--shiki-dark":"#CE9178"},"children":"}'"}}}},"\n"]}}}},"filename":"curl"}],"requestExampleType":"mdx","responseExampleType":"generated"},"dependencies":{"parameters":{"0108f872-1c4b-4e7f-9158-e3eef46ce5b6":{"name":"experiment_uuid","in":"path","required":true,"schema":{"type":"string","title":"Experiment Uuid","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"filter_field":{"oneOf":[{"type":"string","title":"Filter Field","description":"Field to filter on.\nIf you want to filter by a score, you need to follow this format: 'score:{score_name}'.\nIf you want to filter by annotation, you need to follow this format: 'annotation:{annotation_type}:{annotation_id}'.","uniqueKey":"filter_field.oneOf.0","typeLabel":"string"},{"type":"null","title":"Filter Field","description":"Field to filter on.\nIf you want to filter by a score, you need to follow this format: 'score:{score_name}'.\nIf you want to filter by annotation, you need to follow this format: 'annotation:{annotation_type}:{annotation_id}'.","uniqueKey":"filter_field.oneOf.1","typeLabel":"null"}],"uniqueKey":"filter_field","typeLabel":"string | null"},"filter_key":{"oneOf":[{"type":"string","title":"Filter Key","description":"Filter by key when filtering on a map","uniqueKey":"filter_key.oneOf.0","typeLabel":"string"},{"type":"null","title":"Filter Key","description":"Filter by key when filtering on a map","uniqueKey":"filter_key.oneOf.1","typeLabel":"null"}],"uniqueKey":"filter_key","typeLabel":"string | null"},"filter_operator":{"oneOf":[{"type":"string","title":"FilterOperator","description":"Filter operator","enum":["equals","not_equals","like","greater_than_or_equal","less_than_or_equal","greater_than","less_than","is_null","exists","in","between"],"uniqueKey":"filter_operator.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Filter operator","uniqueKey":"filter_operator.oneOf.1","typeLabel":"null"}],"uniqueKey":"filter_operator","typeLabel":"enum\u003cstring> | null"},"filter_value":{"oneOf":[{"type":"string","title":"Filter Value","description":"Filter value","uniqueKey":"filter_value.oneOf.0","typeLabel":"string"},{"type":"null","title":"Filter Value","description":"Filter value","uniqueKey":"filter_value.oneOf.1","typeLabel":"null"}],"uniqueKey":"filter_value","typeLabel":"string | null"}},"type":"object","title":"FilterBaseSchema","examples":[{"filter_field":"trace_name","filter_operator":"like","filter_value":"llm"}],"uniqueKey":"","typeLabel":"FilterBaseSchema · object"},"examples":{"Example":{"title":"Example","value":{"filter_field":"trace_name","filter_operator":"like","filter_value":"llm"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"863b1e3f-25ee-40f4-a7a8-c6f75147f5a5":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"trace_id":{"type":"string","title":"Trace Id","description":"UUID of the trace log. Ex: e3267953-a16f-47f5-b37e-622dbb29d730","isRequired":true,"uniqueKey":"items.[INDEX].trace_id","typeLabel":"string"},"start_timestamp":{"type":"string","title":"Start Timestamp","description":"Start timestamp","isRequired":true,"uniqueKey":"items.[INDEX].start_timestamp","typeLabel":"string"},"configuration":{"type":"object","title":"InputsSchema","description":"If this log was a LLM call, this will contain the configuration used for the call.","default":{},"properties":{"model":{"oneOf":[{"type":"string","title":"Model","description":"Model name","uniqueKey":"items.[INDEX].configuration.model.oneOf.0","typeLabel":"string"},{"type":"null","title":"Model","description":"Model name","uniqueKey":"items.[INDEX].configuration.model.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model","typeLabel":"string | null"},"provider":{"oneOf":[{"type":"string","title":"Provider","description":"Provider name","uniqueKey":"items.[INDEX].configuration.provider.oneOf.0","typeLabel":"string"},{"type":"null","title":"Provider","description":"Provider name","uniqueKey":"items.[INDEX].configuration.provider.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.provider","typeLabel":"string | null"},"model_params":{"oneOf":[{"type":"object","title":"ParamsSchema","description":"Parameters such as temperature.","properties":{"model":{"oneOf":[{"type":"string","title":"Model","description":"Model name","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.model.oneOf.0","typeLabel":"string"},{"type":"null","title":"Model","description":"Model name","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.model.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.model","typeLabel":"string | null"},"temp":{"oneOf":[{"type":"number","title":"Temp","description":"Temperature","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.temp.oneOf.0","typeLabel":"number"},{"type":"null","title":"Temp","description":"Temperature","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.temp.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.temp","typeLabel":"number | null"},"top_p":{"oneOf":[{"type":"number","title":"Top P","description":"Top p","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.top_p.oneOf.0","typeLabel":"number"},{"type":"null","title":"Top P","description":"Top p","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.top_p.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.top_p","typeLabel":"number | null"},"frequency_penalty":{"oneOf":[{"type":"number","title":"Frequency Penalty","description":"Frequency penalty","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.frequency_penalty.oneOf.0","typeLabel":"number"},{"type":"null","title":"Frequency Penalty","description":"Frequency penalty","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.frequency_penalty.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.frequency_penalty","typeLabel":"number | null"},"presence_penalty":{"oneOf":[{"type":"number","title":"Presence Penalty","description":"Presence penalty","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.presence_penalty.oneOf.0","typeLabel":"number"},{"type":"null","title":"Presence Penalty","description":"Presence penalty","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.presence_penalty.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.presence_penalty","typeLabel":"number | null"},"max_length":{"oneOf":[{"type":"integer","title":"Max Length","description":"Max. number of completion tokens","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.max_length.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Max Length","description":"Max. number of completion tokens","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.max_length.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.max_length","typeLabel":"integer | null"},"response_format":{"oneOf":[{"type":"object","title":"Response Format","description":"Response format. See OpenAI docs for definition","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.response_format.oneOf.0","typeLabel":"Response Format · object"},{"type":"null","title":"Response Format","description":"Response format. See OpenAI docs for definition","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.response_format.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.response_format","typeLabel":"Response Format · object | null"},"safe_prompt":{"oneOf":[{"type":"boolean","title":"Safe Prompt","description":"Used for Mistral.","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.safe_prompt.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Safe Prompt","description":"Used for Mistral.","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.safe_prompt.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0.safe_prompt","typeLabel":"boolean | null"}},"uniqueKey":"items.[INDEX].configuration.model_params.oneOf.0","typeLabel":"ParamsSchema · object"},{"type":"null","description":"Parameters such as temperature.","uniqueKey":"items.[INDEX].configuration.model_params.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.model_params","typeLabel":"ParamsSchema · object | null"},"messages":{"oneOf":[{"type":"array","items":{"properties":{"content":{"oneOf":[{"type":"string","title":"Content","description":"Message content","default":"","uniqueKey":"items.[INDEX].configuration.messages.oneOf.0.items.[INDEX].content.oneOf.0","typeLabel":"string"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"items.[INDEX].configuration.messages.oneOf.0.items.[INDEX].content.oneOf.1.items.[INDEX]","typeLabel":"any"},"title":"Content","description":"Message content","default":"","uniqueKey":"items.[INDEX].configuration.messages.oneOf.0.items.[INDEX].content.oneOf.1","typeLabel":"any[]"},{"type":"null","title":"Content","description":"Message content","default":"","uniqueKey":"items.[INDEX].configuration.messages.oneOf.0.items.[INDEX].content.oneOf.2","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.messages.oneOf.0.items.[INDEX].content","typeLabel":"string | any[] | null"},"role":{"type":"string","title":"Role","description":"Message role","default":"user","enum":["user","assistant","system","user","assistant","function","tool"],"uniqueKey":"items.[INDEX].configuration.messages.oneOf.0.items.[INDEX].role","typeLabel":"enum\u003cstring>"}},"type":"object","title":"MessageSchema","uniqueKey":"items.[INDEX].configuration.messages.oneOf.0.items.[INDEX]","typeLabel":"MessageSchema · object"},"title":"Messages","description":"Messages to LLM","uniqueKey":"items.[INDEX].configuration.messages.oneOf.0","typeLabel":"MessageSchema · object[]"},{"type":"null","title":"Messages","description":"Messages to LLM","uniqueKey":"items.[INDEX].configuration.messages.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.messages","typeLabel":"MessageSchema · object[] | null"},"functions":{"oneOf":[{"type":"array","items":{"oneOf":[{}],"uniqueKey":"items.[INDEX].configuration.functions.oneOf.0.items.[INDEX]","typeLabel":"any"},"title":"Functions","description":"A list of functions the model may generate JSON inputs for. Assumes every item in list has key 'name', 'description' and 'parameters'","uniqueKey":"items.[INDEX].configuration.functions.oneOf.0","typeLabel":"any[]"},{"type":"null","title":"Functions","description":"A list of functions the model may generate JSON inputs for. Assumes every item in list has key 'name', 'description' and 'parameters'","uniqueKey":"items.[INDEX].configuration.functions.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.functions","typeLabel":"any[] | null"},"function_call":{"oneOf":[{"type":"string","title":"Function Call","description":"Controls how the model responds to function calls. “auto†means the model can pick between an end-user or calling a function. To specifying a particular function name use a dictionary with key=“name†and value=“my_functionâ€. This will force the model to call that function.","uniqueKey":"items.[INDEX].configuration.function_call.oneOf.0","typeLabel":"string"},{"type":"object","title":"Function Call","description":"Controls how the model responds to function calls. “auto†means the model can pick between an end-user or calling a function. To specifying a particular function name use a dictionary with key=“name†and value=“my_functionâ€. This will force the model to call that function.","uniqueKey":"items.[INDEX].configuration.function_call.oneOf.1","typeLabel":"Function Call · object"},{"type":"null","title":"Function Call","description":"Controls how the model responds to function calls. “auto†means the model can pick between an end-user or calling a function. To specifying a particular function name use a dictionary with key=“name†and value=“my_functionâ€. This will force the model to call that function.","uniqueKey":"items.[INDEX].configuration.function_call.oneOf.2","typeLabel":"null"}],"uniqueKey":"items.[INDEX].configuration.function_call","typeLabel":"string | Function Call · object | null"}},"uniqueKey":"items.[INDEX].configuration","typeLabel":"InputsSchema · object"},"inputs":{"oneOf":[{"type":"object","title":"Inputs","description":"Key-value pair inputs of this trace. Note, there is a special field to capture messages in LLM calls. You can still use it in the case of LLM calls to track the key-value pairs for prompt templates.","uniqueKey":"items.[INDEX].inputs.oneOf.0","typeLabel":"Inputs · object"},{"type":"null","title":"Inputs","description":"Key-value pair inputs of this trace. Note, there is a special field to capture messages in LLM calls. You can still use it in the case of LLM calls to track the key-value pairs for prompt templates.","uniqueKey":"items.[INDEX].inputs.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].inputs","typeLabel":"Inputs · object | null"},"output":{"oneOf":[{"type":"string","title":"Output","description":"Response of this step/log/function. If response isn’t a string, it needs to be serialized to a string.","uniqueKey":"items.[INDEX].output.oneOf.0","typeLabel":"string"},{"type":"null","title":"Output","description":"Response of this step/log/function. If response isn’t a string, it needs to be serialized to a string.","uniqueKey":"items.[INDEX].output.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].output","typeLabel":"string | null"},"target":{"oneOf":[{"type":"string","title":"Target","description":"The target or “gold standard†response for the inputs of this log.","uniqueKey":"items.[INDEX].target.oneOf.0","typeLabel":"string"},{"type":"null","title":"Target","description":"The target or “gold standard†response for the inputs of this log.","uniqueKey":"items.[INDEX].target.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].target","typeLabel":"string | null"},"latency":{"oneOf":[{"type":"number","title":"Latency","description":"Latency of this log in seconds.","default":0,"uniqueKey":"items.[INDEX].latency.oneOf.0","typeLabel":"number"},{"type":"null","title":"Latency","description":"Latency of this log in seconds.","default":0,"uniqueKey":"items.[INDEX].latency.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].latency","typeLabel":"number | null"},"time_to_first_token":{"oneOf":[{"type":"number","title":"Time To First Token","description":"If this was a LLM call, this will contain the time taken to generate the first token.","uniqueKey":"items.[INDEX].time_to_first_token.oneOf.0","typeLabel":"number"},{"type":"null","title":"Time To First Token","description":"If this was a LLM call, this will contain the time taken to generate the first token.","uniqueKey":"items.[INDEX].time_to_first_token.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].time_to_first_token","typeLabel":"number | null"},"input_tokens":{"oneOf":[{"type":"integer","title":"Input Tokens","description":"If this was a LLM call, this will contain the number of tokens in the input.","default":0,"uniqueKey":"items.[INDEX].input_tokens.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Input Tokens","description":"If this was a LLM call, this will contain the number of tokens in the input.","default":0,"uniqueKey":"items.[INDEX].input_tokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].input_tokens","typeLabel":"integer | null"},"output_tokens":{"oneOf":[{"type":"integer","title":"Output Tokens","description":"If this was a LLM call, this will contain the number of tokens in the output.","default":0,"uniqueKey":"items.[INDEX].output_tokens.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Output Tokens","description":"If this was a LLM call, this will contain the number of tokens in the output.","default":0,"uniqueKey":"items.[INDEX].output_tokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].output_tokens","typeLabel":"integer | null"},"total_tokens":{"oneOf":[{"type":"integer","title":"Total Tokens","description":"If this was a LLM call, this will contain the total number of tokens in the input and output.","default":0,"uniqueKey":"items.[INDEX].total_tokens.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Total Tokens","description":"If this was a LLM call, this will contain the total number of tokens in the input and output.","default":0,"uniqueKey":"items.[INDEX].total_tokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].total_tokens","typeLabel":"integer | null"},"cost":{"oneOf":[{"type":"number","title":"Cost","description":"If this was a LLM call, this will contain the cost of the call.","default":0,"uniqueKey":"items.[INDEX].cost.oneOf.0","typeLabel":"number"},{"type":"null","title":"Cost","description":"If this was a LLM call, this will contain the cost of the call.","default":0,"uniqueKey":"items.[INDEX].cost.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].cost","typeLabel":"number | null"},"parent_trace_id":{"oneOf":[{"type":"string","title":"Parent Trace Id","description":"If given, current trace will be a child of this trace. If current child is not a child, `parent_trace_id` should be equal to `trace_id`","uniqueKey":"items.[INDEX].parent_trace_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Parent Trace Id","description":"If given, current trace will be a child of this trace. If current child is not a child, `parent_trace_id` should be equal to `trace_id`","uniqueKey":"items.[INDEX].parent_trace_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].parent_trace_id","typeLabel":"string | null"},"root_trace_id":{"oneOf":[{"type":"string","title":"Root Trace Id","description":"This is the UUID of the root trace/span of this trace. If current trace is the root trace, `root_trace_id` must be equal to `trace_id`","uniqueKey":"items.[INDEX].root_trace_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Root Trace Id","description":"This is the UUID of the root trace/span of this trace. If current trace is the root trace, `root_trace_id` must be equal to `trace_id`","uniqueKey":"items.[INDEX].root_trace_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].root_trace_id","typeLabel":"string | null"},"project_name":{"oneOf":[{"type":"string","title":"Project Name","description":"Name of the project with which the trace/log should be associated with. Must be provided if `project_uuid` is not provided","uniqueKey":"items.[INDEX].project_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Project Name","description":"Name of the project with which the trace/log should be associated with. Must be provided if `project_uuid` is not provided","uniqueKey":"items.[INDEX].project_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].project_name","typeLabel":"string | null"},"status":{"oneOf":[{"type":"string","title":"Status","description":"If the trace was a `success` or `error`","uniqueKey":"items.[INDEX].status.oneOf.0","typeLabel":"string"},{"type":"null","title":"Status","description":"If the trace was a `success` or `error`","uniqueKey":"items.[INDEX].status.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].status","typeLabel":"string | null"},"error":{"oneOf":[{"type":"string","title":"Error","description":"If `status=error`, this should contain any additional information such as the stacktrace","uniqueKey":"items.[INDEX].error.oneOf.0","typeLabel":"string"},{"type":"null","title":"Error","description":"If `status=error`, this should contain any additional information such as the stacktrace","uniqueKey":"items.[INDEX].error.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].error","typeLabel":"string | null"},"output_for_eval_metrics":{"oneOf":[{"type":"string","title":"Output For Eval Metrics","description":"If provided, will be used as output for any specified evaluation metric.","uniqueKey":"items.[INDEX].output_for_eval_metrics.oneOf.0","typeLabel":"string"},{"type":"null","title":"Output For Eval Metrics","description":"If provided, will be used as output for any specified evaluation metric.","uniqueKey":"items.[INDEX].output_for_eval_metrics.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].output_for_eval_metrics","typeLabel":"string | null"},"evaluation_metric_names":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX].evaluation_metric_names.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Evaluation Metric Names","description":"Names of evaluation metrics deployed on Parea which should be applied to this log.","uniqueKey":"items.[INDEX].evaluation_metric_names.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Evaluation Metric Names","description":"Names of evaluation metrics deployed on Parea which should be applied to this log.","uniqueKey":"items.[INDEX].evaluation_metric_names.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].evaluation_metric_names","typeLabel":"string[] | null"},"scores":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","title":"Name","description":"Name of the score / evaluation","isRequired":true,"uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX].name","typeLabel":"string"},"score":{"type":"number","title":"Score","description":"Value of the score","isRequired":true,"uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX].score","typeLabel":"number"},"evaluation_metric_id":{"oneOf":[{"type":"integer","title":"Evaluation Metric Id","description":"Will be automatically populated if this score was from a deployed evaluation metric.","uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX].evaluation_metric_id.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Evaluation Metric Id","description":"Will be automatically populated if this score was from a deployed evaluation metric.","uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX].evaluation_metric_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX].evaluation_metric_id","typeLabel":"integer | null"},"reason":{"oneOf":[{"type":"string","title":"Reason","description":"Reason for this score","uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX].reason.oneOf.0","typeLabel":"string"},{"type":"null","title":"Reason","description":"Reason for this score","uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX].reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX].reason","typeLabel":"string | null"}},"type":"object","required":["name","score"],"title":"EvaluationScoreSchema","examples":[{"name":"Answer Matches Target","reason":"The answer is mostly correct but lacks aspect A \u0026 B.","score":0.8}],"uniqueKey":"items.[INDEX].scores.oneOf.0.items.[INDEX]","typeLabel":"EvaluationScoreSchema · object"},"title":"Scores","description":"Any scores/eval results associated with this log.","uniqueKey":"items.[INDEX].scores.oneOf.0","typeLabel":"EvaluationScoreSchema · object[]"},{"type":"null","title":"Scores","description":"Any scores/eval results associated with this log.","uniqueKey":"items.[INDEX].scores.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].scores","typeLabel":"EvaluationScoreSchema · object[] | null"},"feedback_score":{"oneOf":[{"type":"number","title":"Feedback Score","description":"Any captured (user) feedback on this log","uniqueKey":"items.[INDEX].feedback_score.oneOf.0","typeLabel":"number"},{"type":"null","title":"Feedback Score","description":"Any captured (user) feedback on this log","uniqueKey":"items.[INDEX].feedback_score.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].feedback_score","typeLabel":"number | null"},"apply_eval_frac":{"oneOf":[{"type":"number","title":"Apply Eval Frac","description":"If specified, evals given with `evaluation_metric_names` will be applied to this log with this fraction.","default":1,"uniqueKey":"items.[INDEX].apply_eval_frac.oneOf.0","typeLabel":"number"},{"type":"null","title":"Apply Eval Frac","description":"If specified, evals given with `evaluation_metric_names` will be applied to this log with this fraction.","default":1,"uniqueKey":"items.[INDEX].apply_eval_frac.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].apply_eval_frac","typeLabel":"number | null"},"log_sample_rate":{"oneOf":[{"type":"number","title":"Log Sample Rate","description":"If specified, this log and its entire associated trace will logged with this probability. Must be between 0 and 1 (incl.). Defaults to 1.0 (i.e., keeping all logs)","default":1,"maximum":1,"minimum":0,"uniqueKey":"items.[INDEX].log_sample_rate.oneOf.0","typeLabel":"number"},{"type":"null","title":"Log Sample Rate","description":"If specified, this log and its entire associated trace will logged with this probability. Must be between 0 and 1 (incl.). Defaults to 1.0 (i.e., keeping all logs)","default":1,"uniqueKey":"items.[INDEX].log_sample_rate.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].log_sample_rate","typeLabel":"number | null"},"deployment_id":{"oneOf":[{"type":"string","title":"Deployment Id","description":"Optionally, provide the ID of the used deployed prompt in this log.","uniqueKey":"items.[INDEX].deployment_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Deployment Id","description":"Optionally, provide the ID of the used deployed prompt in this log.","uniqueKey":"items.[INDEX].deployment_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].deployment_id","typeLabel":"string | null"},"cache_hit":{"type":"boolean","title":"Cache Hit","description":"If the cache was hit for this log.","default":false,"uniqueKey":"items.[INDEX].cache_hit","typeLabel":"boolean"},"trace_name":{"oneOf":[{"type":"string","title":"Trace Name","description":"The name of this span.","uniqueKey":"items.[INDEX].trace_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Trace Name","description":"The name of this span.","uniqueKey":"items.[INDEX].trace_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].trace_name","typeLabel":"string | null"},"children":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX].children.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Children","description":"UUIDs of any children.","uniqueKey":"items.[INDEX].children.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Children","description":"UUIDs of any children.","uniqueKey":"items.[INDEX].children.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].children","typeLabel":"string[] | null"},"children_ids":{"oneOf":[{"type":"array","items":{"type":"integer","uniqueKey":"items.[INDEX].children_ids.oneOf.0.items.[INDEX]","typeLabel":"integer"},"title":"Children Ids","description":"IDs of any children. Will be automatically populated.","uniqueKey":"items.[INDEX].children_ids.oneOf.0","typeLabel":"integer[]"},{"type":"null","title":"Children Ids","description":"IDs of any children. Will be automatically populated.","uniqueKey":"items.[INDEX].children_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].children_ids","typeLabel":"integer[] | null"},"end_timestamp":{"oneOf":[{"type":"string","title":"End Timestamp","description":"End timestamp of span.","uniqueKey":"items.[INDEX].end_timestamp.oneOf.0","typeLabel":"string"},{"type":"null","title":"End Timestamp","description":"End timestamp of span.","uniqueKey":"items.[INDEX].end_timestamp.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].end_timestamp","typeLabel":"string | null"},"end_user_identifier":{"oneOf":[{"type":"string","title":"End User Identifier","description":"Unique identifier for a end-user.","uniqueKey":"items.[INDEX].end_user_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"End User Identifier","description":"Unique identifier for a end-user.","uniqueKey":"items.[INDEX].end_user_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].end_user_identifier","typeLabel":"string | null"},"session_id":{"oneOf":[{"type":"string","title":"Session Id","description":"Unique identifier for a session. Can you be used to associated multiple logs in e.g. chat applications.","uniqueKey":"items.[INDEX].session_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Session Id","description":"Unique identifier for a session. Can you be used to associated multiple logs in e.g. chat applications.","uniqueKey":"items.[INDEX].session_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].session_id","typeLabel":"string | null"},"metadata":{"oneOf":[{"type":"object","title":"Metadata","description":"Any additional key-value pairs which provide context or are useful for filtering.","uniqueKey":"items.[INDEX].metadata.oneOf.0","typeLabel":"Metadata · object"},{"type":"null","title":"Metadata","description":"Any additional key-value pairs which provide context or are useful for filtering.","uniqueKey":"items.[INDEX].metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].metadata","typeLabel":"Metadata · object | null"},"tags":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX].tags.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Tags","description":"List of tags which provide additional context or are useful for filtering.","uniqueKey":"items.[INDEX].tags.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Tags","description":"List of tags which provide additional context or are useful for filtering.","uniqueKey":"items.[INDEX].tags.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].tags","typeLabel":"string[] | null"},"experiment_uuid":{"oneOf":[{"type":"string","title":"Experiment Uuid","description":"If given, will be used to associate this log with an experiment.","uniqueKey":"items.[INDEX].experiment_uuid.oneOf.0","typeLabel":"string"},{"type":"null","title":"Experiment Uuid","description":"If given, will be used to associate this log with an experiment.","uniqueKey":"items.[INDEX].experiment_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].experiment_uuid","typeLabel":"string | null"},"images":{"oneOf":[{"type":"array","items":{"properties":{"url":{"type":"string","title":"Url","description":"URL of image","isRequired":true,"uniqueKey":"items.[INDEX].images.oneOf.0.items.[INDEX].url","typeLabel":"string"},"caption":{"oneOf":[{"type":"string","title":"Caption","description":"Caption of image","uniqueKey":"items.[INDEX].images.oneOf.0.items.[INDEX].caption.oneOf.0","typeLabel":"string"},{"type":"null","title":"Caption","description":"Caption of image","uniqueKey":"items.[INDEX].images.oneOf.0.items.[INDEX].caption.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].images.oneOf.0.items.[INDEX].caption","typeLabel":"string | null"}},"type":"object","required":["url"],"title":"TraceLogImage","uniqueKey":"items.[INDEX].images.oneOf.0.items.[INDEX]","typeLabel":"TraceLogImage · object"},"title":"Images","description":"Any images associated with trace.","uniqueKey":"items.[INDEX].images.oneOf.0","typeLabel":"TraceLogImage · object[]"},{"type":"null","title":"Images","description":"Any images associated with trace.","uniqueKey":"items.[INDEX].images.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].images","typeLabel":"TraceLogImage · object[] | null"},"comments":{"oneOf":[{"type":"array","items":{"properties":{"trace_id":{"type":"string","title":"Trace Id","description":"Trace ID","isRequired":true,"uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].trace_id","typeLabel":"string"},"comment":{"type":"string","title":"Comment","description":"Comment","isRequired":true,"uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].comment","typeLabel":"string"},"id":{"oneOf":[{"type":"string","title":"Id","description":"Comment ID","isRequired":true,"uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"integer","title":"Id","description":"Comment ID","isRequired":true,"uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"integer"}],"isRequired":true,"uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].id","typeLabel":"string | integer"},"user_id":{"type":"string","title":"User Id","description":"User ID","isRequired":true,"uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].user_id","typeLabel":"string"},"created_at":{"type":"string","title":"Created At","description":"Comment creation timestamp","isRequired":true,"uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].created_at","typeLabel":"string"},"user_email_address":{"oneOf":[{"type":"string","title":"User Email Address","description":"User email address","uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].user_email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"User Email Address","description":"User email address","uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].user_email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX].user_email_address","typeLabel":"string | null"}},"type":"object","required":["trace_id","comment","id","user_id","created_at"],"title":"TraceLogCommentSchema","uniqueKey":"items.[INDEX].comments.oneOf.0.items.[INDEX]","typeLabel":"TraceLogCommentSchema · object"},"title":"Comments","description":"Any comments on log which were collected on Parea frontend.","uniqueKey":"items.[INDEX].comments.oneOf.0","typeLabel":"TraceLogCommentSchema · object[]"},{"type":"null","title":"Comments","description":"Any comments on log which were collected on Parea frontend.","uniqueKey":"items.[INDEX].comments.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].comments","typeLabel":"TraceLogCommentSchema · object[] | null"},"annotations":{"oneOf":[{"type":"object","title":"Annotations","description":"Any annotations on log which were collected on Parea frontend. It maps annoation criterion ID to a dictionary mapping user_id (Parea user ID) to annotation.","additionalProperties":{"additionalProperties":{"properties":{"trace_id":{"type":"string","title":"Trace Id","description":"UUID of associated trace","isRequired":true,"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.trace_id","typeLabel":"string"},"defined_annotation_id":{"type":"integer","title":"Defined Annotation Id","description":"Annotation criterion ID","isRequired":true,"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.defined_annotation_id","typeLabel":"integer"},"created_at":{"type":"string","title":"Created At","description":"Annotation creation timestamp","isRequired":true,"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.created_at","typeLabel":"string"},"user_id":{"type":"string","title":"User Id","description":"Parea user ID","isRequired":true,"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.user_id","typeLabel":"string"},"score":{"oneOf":[{"type":"number","title":"Score","description":"Annotation score","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.score.oneOf.0","typeLabel":"number"},{"type":"null","title":"Score","description":"Annotation score","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.score.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.score","typeLabel":"number | null"},"value":{"oneOf":[{"type":"string","title":"Value","description":"Annotation value","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.value.oneOf.0","typeLabel":"string"},{"type":"null","title":"Value","description":"Annotation value","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.value.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.value","typeLabel":"string | null"},"id":{"oneOf":[{"type":"string","title":"Id","description":"Annotation ID","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.id.oneOf.0","typeLabel":"string"},{"type":"integer","title":"Id","description":"Annotation ID","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.id.oneOf.1","typeLabel":"integer"},{"type":"null","title":"Id","description":"Annotation ID","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.id.oneOf.2","typeLabel":"null"}],"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.id","typeLabel":"string | integer | null"},"user_email_address":{"oneOf":[{"type":"string","title":"User Email Address","description":"User email address","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.user_email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"User Email Address","description":"User email address","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.user_email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.user_email_address","typeLabel":"string | null"},"annotation_name":{"oneOf":[{"type":"string","title":"Annotation Name","description":"Annotation name","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.annotation_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Annotation Name","description":"Annotation name","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.annotation_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties.annotation_name","typeLabel":"string | null"}},"type":"object","required":["trace_id","defined_annotation_id","created_at","user_id"],"title":"TraceLogAnnotationSchema","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties.additionalProperties","typeLabel":"TraceLogAnnotationSchema · object"},"type":"object","uniqueKey":"items.[INDEX].annotations.oneOf.0.additionalProperties","typeLabel":"object"},"uniqueKey":"items.[INDEX].annotations.oneOf.0","typeLabel":"Annotations · object"},{"type":"null","title":"Annotations","description":"Any annotations on log which were collected on Parea frontend. It maps annoation criterion ID to a dictionary mapping user_id (Parea user ID) to annotation.","uniqueKey":"items.[INDEX].annotations.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].annotations","typeLabel":"Annotations · object | null"},"depth":{"type":"integer","title":"Depth","description":"Depth/level of nestedness of span in overall trace. Root-level trace is 0 and it always increments by 1.","default":0,"uniqueKey":"items.[INDEX].depth","typeLabel":"integer"},"execution_order":{"type":"integer","title":"Execution Order","description":"The execution number of span in trace. It starts with 0 and increments by 1 with every span.","default":0,"uniqueKey":"items.[INDEX].execution_order","typeLabel":"integer"},"evaluation_metric_ids":{"oneOf":[{"type":"array","items":{"type":"integer","uniqueKey":"items.[INDEX].evaluation_metric_ids.oneOf.0.items.[INDEX]","typeLabel":"integer"},"title":"Evaluation Metric Ids","description":"Deprecated","uniqueKey":"items.[INDEX].evaluation_metric_ids.oneOf.0","typeLabel":"integer[]"},{"type":"null","title":"Evaluation Metric Ids","description":"Deprecated","uniqueKey":"items.[INDEX].evaluation_metric_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].evaluation_metric_ids","typeLabel":"integer[] | null"},"fill_children":{"type":"boolean","title":"Fill Children","description":"Deprecated","default":false,"uniqueKey":"items.[INDEX].fill_children","typeLabel":"boolean"},"project_uuid":{"oneOf":[{"type":"string","title":"Project Uuid","description":"UUID of project with which this log is associated. Will be automatically filled-in by SDKs","uniqueKey":"items.[INDEX].project_uuid.oneOf.0","typeLabel":"string"},{"type":"null","title":"Project Uuid","description":"UUID of project with which this log is associated. Will be automatically filled-in by SDKs","uniqueKey":"items.[INDEX].project_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].project_uuid","typeLabel":"string | null"},"organization_id":{"oneOf":[{"type":"string","title":"Organization Id","description":"Organization ID associated with Parea API key. Will be automatically determined from API key","uniqueKey":"items.[INDEX].organization_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organization Id","description":"Organization ID associated with Parea API key. Will be automatically determined from API key","uniqueKey":"items.[INDEX].organization_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].organization_id","typeLabel":"string | null"},"children_logs":{"items":{"$circularRef":"18215a0e-5778-416c-afe2-ed7c0e5fd62e"},"type":"array","title":"Children Logs","description":"Children logs","uniqueKey":"items.[INDEX].children_logs","typeLabel":"Children Logs · array"}},"type":"object","required":["trace_id","start_timestamp"],"title":"TraceLogTreeSchema","examples":[{"depth":0,"end_timestamp":"2024-05-30 13:48:35","execution_order":0,"inputs":{"x":"Golang","y":"Fiber"},"metadata":{"purpose":"testing"},"output":"Some logged output","parent_trace_id":"\u003c\u003cSAME_UUID>>","project_name":"default","root_trace_id":"\u003c\u003cSAME_UUID>>","start_timestamp":"2024-05-30 13:48:34","status":"success","trace_id":"\u003c\u003cUUID>>","trace_name":"test"},{"configuration":{"messages":[{"content":"Some prompt","role":"user"}],"model":"gpt-4o","provider":"openai"},"depth":0,"end_timestamp":"2024-05-30 13:48:35","execution_order":0,"inputs":{"promptTemplateVar1":"value","promptTemplateVar2":"some other value"},"metadata":{"purpose":"testing"},"output":"LLM response","parent_trace_id":"\u003c\u003cSAME_UUID>>","project_name":"default","root_trace_id":"\u003c\u003cSAME_UUID>>","start_timestamp":"2024-05-30 13:48:34","status":"success","trace_id":"\u003c\u003cUUID>>","trace_name":"LLM"}],"uniqueKey":"items.[INDEX]","typeLabel":"TraceLogTreeSchema · object"},"title":"Response Get Experiment Trace Logs Api Api Parea V1 Experiment Experiment Uuid Trace Logs Post","uniqueKey":"","typeLabel":"TraceLogTreeSchema · object[]"},"examples":{"Example":{"title":"Example","value":[{"depth":0,"end_timestamp":"2024-05-30 13:48:35","execution_order":0,"inputs":{"x":"Golang","y":"Fiber"},"metadata":{"purpose":"testing"},"output":"Some logged output","parent_trace_id":"\u003c\u003cSAME_UUID>>","project_name":"default","root_trace_id":"\u003c\u003cSAME_UUID>>","start_timestamp":"2024-05-30 13:48:34","status":"success","trace_id":"\u003c\u003cUUID>>","trace_name":"test"}]}},"exampleType":"generated"}},"exampleType":"generated"},"8c48ec8f-4c22-4e81-971f-61e524de73dd":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"00beb86c-0d97-4dcc-a9f0-c53c7e81401c":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]}},"c38f242b-2aa1-48ef-aa47-99e5f559de29":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]}},"b1bf8776-ade2-480d-80a4-cc1849343fc0":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-user-id","scopes":[]}}},"servers":{},"schemas":{"18215a0e-5778-416c-afe2-ed7c0e5fd62e":{"properties":{"trace_id":{"type":"string","title":"Trace Id","description":"UUID of the trace log. Ex: e3267953-a16f-47f5-b37e-622dbb29d730","isRequired":true},"start_timestamp":{"type":"string","title":"Start Timestamp","description":"Start timestamp","isRequired":true},"configuration":{"type":"object","title":"InputsSchema","description":"If this log was a LLM call, this will contain the configuration used for the call.","default":{},"properties":{"model":{"oneOf":[{"type":"string","title":"Model","description":"Model name"},{"type":"null","title":"Model","description":"Model name"}]},"provider":{"oneOf":[{"type":"string","title":"Provider","description":"Provider name"},{"type":"null","title":"Provider","description":"Provider name"}]},"model_params":{"oneOf":[{"type":"object","title":"ParamsSchema","description":"Parameters such as temperature.","properties":{"model":{"oneOf":[{"type":"string","title":"Model","description":"Model name"},{"type":"null","title":"Model","description":"Model name"}]},"temp":{"oneOf":[{"type":"number","title":"Temp","description":"Temperature"},{"type":"null","title":"Temp","description":"Temperature"}]},"top_p":{"oneOf":[{"type":"number","title":"Top P","description":"Top p"},{"type":"null","title":"Top P","description":"Top p"}]},"frequency_penalty":{"oneOf":[{"type":"number","title":"Frequency Penalty","description":"Frequency penalty"},{"type":"null","title":"Frequency Penalty","description":"Frequency penalty"}]},"presence_penalty":{"oneOf":[{"type":"number","title":"Presence Penalty","description":"Presence penalty"},{"type":"null","title":"Presence Penalty","description":"Presence penalty"}]},"max_length":{"oneOf":[{"type":"integer","title":"Max Length","description":"Max. number of completion tokens"},{"type":"null","title":"Max Length","description":"Max. number of completion tokens"}]},"response_format":{"oneOf":[{"type":"object","title":"Response Format","description":"Response format. See OpenAI docs for definition"},{"type":"null","title":"Response Format","description":"Response format. See OpenAI docs for definition"}]},"safe_prompt":{"oneOf":[{"type":"boolean","title":"Safe Prompt","description":"Used for Mistral."},{"type":"null","title":"Safe Prompt","description":"Used for Mistral."}]}}},{"type":"null","description":"Parameters such as temperature."}]},"messages":{"oneOf":[{"type":"array","items":{"properties":{"content":{"oneOf":[{"type":"string","title":"Content","description":"Message content","default":""},{"type":"array","items":{"oneOf":[{}]},"title":"Content","description":"Message content","default":""},{"type":"null","title":"Content","description":"Message content","default":""}]},"role":{"type":"string","title":"Role","description":"Message role","default":"user","enum":["user","assistant","system","user","assistant","function","tool"]}},"type":"object","title":"MessageSchema"},"title":"Messages","description":"Messages to LLM"},{"type":"null","title":"Messages","description":"Messages to LLM"}]},"functions":{"oneOf":[{"type":"array","items":{"oneOf":[{}]},"title":"Functions","description":"A list of functions the model may generate JSON inputs for. Assumes every item in list has key 'name', 'description' and 'parameters'"},{"type":"null","title":"Functions","description":"A list of functions the model may generate JSON inputs for. Assumes every item in list has key 'name', 'description' and 'parameters'"}]},"function_call":{"oneOf":[{"type":"string","title":"Function Call","description":"Controls how the model responds to function calls. “auto†means the model can pick between an end-user or calling a function. To specifying a particular function name use a dictionary with key=“name†and value=“my_functionâ€. This will force the model to call that function."},{"type":"object","title":"Function Call","description":"Controls how the model responds to function calls. “auto†means the model can pick between an end-user or calling a function. To specifying a particular function name use a dictionary with key=“name†and value=“my_functionâ€. This will force the model to call that function."},{"type":"null","title":"Function Call","description":"Controls how the model responds to function calls. “auto†means the model can pick between an end-user or calling a function. To specifying a particular function name use a dictionary with key=“name†and value=“my_functionâ€. This will force the model to call that function."}]}}},"inputs":{"oneOf":[{"type":"object","title":"Inputs","description":"Key-value pair inputs of this trace. Note, there is a special field to capture messages in LLM calls. You can still use it in the case of LLM calls to track the key-value pairs for prompt templates."},{"type":"null","title":"Inputs","description":"Key-value pair inputs of this trace. Note, there is a special field to capture messages in LLM calls. You can still use it in the case of LLM calls to track the key-value pairs for prompt templates."}]},"output":{"oneOf":[{"type":"string","title":"Output","description":"Response of this step/log/function. If response isn’t a string, it needs to be serialized to a string."},{"type":"null","title":"Output","description":"Response of this step/log/function. If response isn’t a string, it needs to be serialized to a string."}]},"target":{"oneOf":[{"type":"string","title":"Target","description":"The target or “gold standard†response for the inputs of this log."},{"type":"null","title":"Target","description":"The target or “gold standard†response for the inputs of this log."}]},"latency":{"oneOf":[{"type":"number","title":"Latency","description":"Latency of this log in seconds.","default":0},{"type":"null","title":"Latency","description":"Latency of this log in seconds.","default":0}]},"time_to_first_token":{"oneOf":[{"type":"number","title":"Time To First Token","description":"If this was a LLM call, this will contain the time taken to generate the first token."},{"type":"null","title":"Time To First Token","description":"If this was a LLM call, this will contain the time taken to generate the first token."}]},"input_tokens":{"oneOf":[{"type":"integer","title":"Input Tokens","description":"If this was a LLM call, this will contain the number of tokens in the input.","default":0},{"type":"null","title":"Input Tokens","description":"If this was a LLM call, this will contain the number of tokens in the input.","default":0}]},"output_tokens":{"oneOf":[{"type":"integer","title":"Output Tokens","description":"If this was a LLM call, this will contain the number of tokens in the output.","default":0},{"type":"null","title":"Output Tokens","description":"If this was a LLM call, this will contain the number of tokens in the output.","default":0}]},"total_tokens":{"oneOf":[{"type":"integer","title":"Total Tokens","description":"If this was a LLM call, this will contain the total number of tokens in the input and output.","default":0},{"type":"null","title":"Total Tokens","description":"If this was a LLM call, this will contain the total number of tokens in the input and output.","default":0}]},"cost":{"oneOf":[{"type":"number","title":"Cost","description":"If this was a LLM call, this will contain the cost of the call.","default":0},{"type":"null","title":"Cost","description":"If this was a LLM call, this will contain the cost of the call.","default":0}]},"parent_trace_id":{"oneOf":[{"type":"string","title":"Parent Trace Id","description":"If given, current trace will be a child of this trace. If current child is not a child, `parent_trace_id` should be equal to `trace_id`"},{"type":"null","title":"Parent Trace Id","description":"If given, current trace will be a child of this trace. If current child is not a child, `parent_trace_id` should be equal to `trace_id`"}]},"root_trace_id":{"oneOf":[{"type":"string","title":"Root Trace Id","description":"This is the UUID of the root trace/span of this trace. If current trace is the root trace, `root_trace_id` must be equal to `trace_id`"},{"type":"null","title":"Root Trace Id","description":"This is the UUID of the root trace/span of this trace. If current trace is the root trace, `root_trace_id` must be equal to `trace_id`"}]},"project_name":{"oneOf":[{"type":"string","title":"Project Name","description":"Name of the project with which the trace/log should be associated with. Must be provided if `project_uuid` is not provided"},{"type":"null","title":"Project Name","description":"Name of the project with which the trace/log should be associated with. Must be provided if `project_uuid` is not provided"}]},"status":{"oneOf":[{"type":"string","title":"Status","description":"If the trace was a `success` or `error`"},{"type":"null","title":"Status","description":"If the trace was a `success` or `error`"}]},"error":{"oneOf":[{"type":"string","title":"Error","description":"If `status=error`, this should contain any additional information such as the stacktrace"},{"type":"null","title":"Error","description":"If `status=error`, this should contain any additional information such as the stacktrace"}]},"output_for_eval_metrics":{"oneOf":[{"type":"string","title":"Output For Eval Metrics","description":"If provided, will be used as output for any specified evaluation metric."},{"type":"null","title":"Output For Eval Metrics","description":"If provided, will be used as output for any specified evaluation metric."}]},"evaluation_metric_names":{"oneOf":[{"type":"array","items":{"type":"string"},"title":"Evaluation Metric Names","description":"Names of evaluation metrics deployed on Parea which should be applied to this log."},{"type":"null","title":"Evaluation Metric Names","description":"Names of evaluation metrics deployed on Parea which should be applied to this log."}]},"scores":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","title":"Name","description":"Name of the score / evaluation","isRequired":true},"score":{"type":"number","title":"Score","description":"Value of the score","isRequired":true},"evaluation_metric_id":{"oneOf":[{"type":"integer","title":"Evaluation Metric Id","description":"Will be automatically populated if this score was from a deployed evaluation metric."},{"type":"null","title":"Evaluation Metric Id","description":"Will be automatically populated if this score was from a deployed evaluation metric."}]},"reason":{"oneOf":[{"type":"string","title":"Reason","description":"Reason for this score"},{"type":"null","title":"Reason","description":"Reason for this score"}]}},"type":"object","required":["name","score"],"title":"EvaluationScoreSchema","examples":[{"name":"Answer Matches Target","reason":"The answer is mostly correct but lacks aspect A \u0026 B.","score":0.8}]},"title":"Scores","description":"Any scores/eval results associated with this log."},{"type":"null","title":"Scores","description":"Any scores/eval results associated with this log."}]},"feedback_score":{"oneOf":[{"type":"number","title":"Feedback Score","description":"Any captured (user) feedback on this log"},{"type":"null","title":"Feedback Score","description":"Any captured (user) feedback on this log"}]},"apply_eval_frac":{"oneOf":[{"type":"number","title":"Apply Eval Frac","description":"If specified, evals given with `evaluation_metric_names` will be applied to this log with this fraction.","default":1},{"type":"null","title":"Apply Eval Frac","description":"If specified, evals given with `evaluation_metric_names` will be applied to this log with this fraction.","default":1}]},"log_sample_rate":{"oneOf":[{"type":"number","title":"Log Sample Rate","description":"If specified, this log and its entire associated trace will logged with this probability. Must be between 0 and 1 (incl.). Defaults to 1.0 (i.e., keeping all logs)","default":1,"maximum":1,"minimum":0},{"type":"null","title":"Log Sample Rate","description":"If specified, this log and its entire associated trace will logged with this probability. Must be between 0 and 1 (incl.). Defaults to 1.0 (i.e., keeping all logs)","default":1}]},"deployment_id":{"oneOf":[{"type":"string","title":"Deployment Id","description":"Optionally, provide the ID of the used deployed prompt in this log."},{"type":"null","title":"Deployment Id","description":"Optionally, provide the ID of the used deployed prompt in this log."}]},"cache_hit":{"type":"boolean","title":"Cache Hit","description":"If the cache was hit for this log.","default":false},"trace_name":{"oneOf":[{"type":"string","title":"Trace Name","description":"The name of this span."},{"type":"null","title":"Trace Name","description":"The name of this span."}]},"children":{"oneOf":[{"type":"arra
[...]
